Subject: Re: WG last call on draft-ietf-dhc-dhcpv6-opt-prefix-delegation-02.txt

From: JINMEI Tatuya / 神明達哉 <[email-masked]>
Date: Sun, 09 Mar 2003 06:59:43 +0900

>>>>> On Thu, 27 Feb 2003 09:35:52 +0200 (EET), 
>>>>> Pekka Savola <[email-masked]> said:

>> > cover even all the theoretical cases.  I'd much rather see a very simple 
>> > basic version of prefix delegation which can be used to get started.  
>> > There's no way we could anticipate what will be needed in 3-5 years and we 
>> > could further define the extensions when they're needed.
>> 
>> well, I have to disagree with you there. keeping PD consistent with
>> other DHCP options makes for an easier understanding of how it works
>> and for a simpler implementation. the fundamental idea behind using
>> DHCP for PD is to re-use the existing DHCP infrastructure including
>> option semantics. Distilled into one line: "Prefix Delegation with
>> DHCP is done in exactly the same way as address assignment with DHCP is".

> I can live with that.

> I hear many (two sets of groups) are implementing DHCPv6 either for:
>  - configuration parameters
>  - prefix delegation (for the lack of alternatives)

> If you don't want address assignment in DHCP, doing it the same way in PD
> may seem like a burden.

(Just for the record)
As an implementor of dhcpv6 (for prefix delegation), I agree with
Ole;  Keeping PD consistent with other DHCP options is not a burden.
It rather made the PD specification clearer and helps implemented it.

In fact, the base DHCPv6 spec contains generic notions for stateful
resources, such as Identity Associations and binding.  The unfortunate
thing, however, is that the base spec is still too specific to address
allocation than it could be.

Again, I, as an implementor, support keeping PD consistent with base
DHCPv6 despite the "unfortunate" part.

					JINMEI, Tatuya
					Communication Platform Lab.
					Corporate R&D Center, Toshiba Corp.
					[email-masked]
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------